# Interface AdsRequest

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.AdsRequest

interface AdsRequest {
adTagUrl: string;
adsResponse?: null | string | Document;
contentDuration?: null | number;
contentKeywords?: null | string[];
contentTitle?: null | string;
forceNonLinearFullSlot: boolean;
linearAdSlotHeight: number;
linearAdSlotWidth: number;
liveStreamPrefetchSeconds: number;
nonLinearAdSlotHeight: number;
nonLinearAdSlotWidth: number;
omidAccessModeRules: Record<string, string>;
pageUrl?: null | string;
vastLoadTimeout?: number;
setAdWillAutoPlay(autoPlay): void;
setAdWillPlayMuted(muted): void;
setContinuousPlayback(continuousPlayback): void;
}

#####
Index

### Properties

adTagUrl
adsResponse?
contentDuration?
contentKeywords?
contentTitle?
forceNonLinearFullSlot
linearAdSlotHeight
linearAdSlotWidth
liveStreamPrefetchSeconds
nonLinearAdSlotHeight
nonLinearAdSlotWidth
omidAccessModeRules
pageUrl?
vastLoadTimeout?

### Methods

setAdWillAutoPlay
setAdWillPlayMuted
setContinuousPlayback

## Properties

### adTagUrl

adTagUrl: string

### `Optional` adsResponse

adsResponse?: null | string | Document

### `Optional` contentDuration

contentDuration?: null | number

### `Optional` contentKeywords

contentKeywords?: null | string[]

### `Optional` contentTitle

contentTitle?: null | string

### forceNonLinearFullSlot

forceNonLinearFullSlot: boolean

### linearAdSlotHeight

linearAdSlotHeight: number

### linearAdSlotWidth

linearAdSlotWidth: number

### liveStreamPrefetchSeconds

liveStreamPrefetchSeconds: number

### nonLinearAdSlotHeight

nonLinearAdSlotHeight: number

### nonLinearAdSlotWidth

nonLinearAdSlotWidth: number

### omidAccessModeRules

omidAccessModeRules: Record<string, string>

### `Optional` pageUrl

pageUrl?: null | string

### `Optional` vastLoadTimeout

vastLoadTimeout?: number

## Methods

### setAdWillAutoPlay

- setAdWillAutoPlay(autoPlay): void

- #### Parameters

  - autoPlay: boolean

  #### Returns void

### setAdWillPlayMuted

- setAdWillPlayMuted(muted): void

- #### Parameters

  - muted: boolean

  #### Returns void

### setContinuousPlayback

- setContinuousPlayback(continuousPlayback): void

- #### Parameters

  - continuousPlayback: boolean

  #### Returns void